﻿@model List<QueryManagerItemView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMQuery.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMQuery.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMQuery.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<h1 class="page-header">@QueryManager.QM</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">Queries</h3>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Id Query</th>
                        <th>@QueryManager.QI</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (QueryManagerItemView item in Model)
                    {
                        <tr>
                            <td>@item.IdQuery</td>
                            <td>@item.QueryIdentifier</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("ActionQueryManager", "QueryManager", new { @ActionQueryManager = "Update", @IdQuery = item.IdQuery })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@News.Edit
                                    </a>
                                }
                                @if (_Delete)
                                {
                                    <a href='@Url.Action("ActionQueryManager", "QueryManager", new { @ActionQueryManager = "Delete", @IdQuery = item.IdQuery })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-trash"></span>&nbsp;@News.Delete
                                    </a>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>
@if (_Add)
{
    <div class="col-md-2 pull-right but_blok_footer">
        <a href='@Url.Action("ActionQueryManager", "QueryManager", new { @ActionQueryManager = "Add", @IdQuery = 0 })' class="btn btn-success btn-ls pull-right ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@QueryManager.AQ
        </a>
    </div>
}



